Package org.bukkit.event.inventory

# Enum Class InventoryType.SlotType

java.lang.Object
java.lang.Enum<InventoryType.SlotType>
org.bukkit.event.inventory.InventoryType.SlotType

All Implemented Interfaces:
  `Serializable`, `Comparable<InventoryType.SlotType>`, `Constable`

Enclosing class:
  InventoryType

public static enum InventoryType.SlotType extends Enum<InventoryType.SlotType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ARMOR`
An armour slot in the player's inventory.
`CONTAINER`
A regular slot in the container or the player's inventory; anything not covered by the other enum values.
`CRAFTING`
A slot in the crafting matrix, or an 'input' slot.
`FUEL`
The fuel slot in a furnace inventory, or the ingredient slot in a brewing stand inventory.
`OUTSIDE`
A pseudo-slot representing the area outside the inventory window.
`QUICKBAR`
A slot in the bottom row or quickbar.
`RESULT`
A result slot in a furnace or crafting inventory.

## Method Summary

Modifier and Type
Method
Description
`static InventoryType.SlotType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static InventoryType.SlotType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### RESULT

public static final InventoryType.SlotType RESULT
A result slot in a furnace or crafting inventory.

### CRAFTING

public static final InventoryType.SlotType CRAFTING
A slot in the crafting matrix, or an 'input' slot.

### ARMOR

public static final InventoryType.SlotType ARMOR
An armour slot in the player's inventory.

### CONTAINER

public static final InventoryType.SlotType CONTAINER
A regular slot in the container or the player's inventory; anything not covered by the other enum values.

### QUICKBAR

public static final InventoryType.SlotType QUICKBAR
A slot in the bottom row or quickbar.

### OUTSIDE

public static final InventoryType.SlotType OUTSIDE
A pseudo-slot representing the area outside the inventory window.

### FUEL

public static final InventoryType.SlotType FUEL
The fuel slot in a furnace inventory, or the ingredient slot in a brewing stand inventory.

## Method Details

### values

public static InventoryType.SlotType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static InventoryType.SlotType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null